# my overlib extension to webgen
# example:        
#   {overlib: {text: "asdf", popuptext: "sdfg", overlibparams: "WIDTH, 300"}}
#   {overlib: {text: "abstract", popuptext: "", overlibparams: "WIDTH, 300"}}


class OverlibTag 
  include Webgen
  include Webgen::Tag::Base

  TEXT = "text"
  POPUP = "popuptext"
  EXTRA = "overlibparams"

  attr_reader :params

  def self.setup()
    WebsiteAccess.website.config.data["contentprocessor.tags.map"]['overlib'] = 'OverlibTag'
  end

  def call(tag, body, context)
    text=params[TEXT]
    popuptext=params[POPUP]
    
    extra=''
    if params.has_key?EXTRA
      extra=","+params[EXTRA]
    end

    result="<a onMouseOver='javascript: return overlib(\"" + popuptext + "\""+extra+")' onMouseOut='return nd();'>"+text+"</a>"
  end

  def create_params_hash(config, node)
    if config.kind_of? Hash
      result = config
    else
      result = {KEY => config}
    end
    result
  end

end
